> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# 澳大利亚选民名册验证 API：身份匹配

> Didit 澳大利亚选民名册：通过 Didit 身份基础设施提供权威的澳大利亚数据库核验。按次计费，起价 $0.75，无合同，无最低消费。

官方政府选民名册服务。Didit 通过 `POST /v3/database-validation/` 提供此服务，使您能够将提交的数据与权威数据源进行比对，并获得标准化的匹配结果。

## 覆盖范围

* **覆盖率：** 100%\*
* **国家/地区：** 澳大利亚
* **服务 ID：** `aus_electoral_roll`
* **数据领域：** 政府
* **类别：** ElectoralRoll

## 输入

| 字段 | 必填 | 示例 |
| - | -: | - |
| `first_name` | 是 | `John` |
| `last_name` | 是 | `Doe` |
| `date_of_birth` | 是 | `1990-01-01` |
| `address.street_1` | 是 | `123 Sample Street` |
| `address.postal_code` | 是 | `10001` |
| `address.street_2` | 否 | `Unit 4` |
| `address.city` | 否 | `Sample City` |
| `address.region` | 否 | `Sample State` |
| `vendor_data` | 否 | `user-1234` |

* **必填输入：** `first_name`、`last_name`、`date_of_birth`、`address.street_1`、`address.postal_code`
* **可选输入：** `address.street_2`、`address.city`、`address.region`、`vendor_data`
* **同意：** 必填
* **工作流可用性：** 可在工作流中使用
* **覆盖率：** 100%\*
* **价格：** 每次成功查询 \$0.75

## 请求体参数

**issuing\_state** `string` *required* (default: AUS)

此数据库服务的 ISO 3166-1 alpha-3 国家/地区代码。

示例：`AUS`

**services** `string` *required* (default: aus\_electoral\_roll)

包含此服务 ID 的数组。固定该服务可使请求限定在此特定数据库内。

示例：`aus_electoral_roll`

**consent** `boolean` *required* (default: true)

终端用户对此服务的明确同意。

示例：`true`

**first\_name** `string` *required* (default: John)

需要校验的名字。

示例：`John`

**last\_name** `string` *required* (default: Doe)

需要校验的姓氏。

示例：`Doe`

**date\_of\_birth** `string` *required* (default: 1990-01-01)

出生日期，格式为 `YYYY-MM-DD`。

示例：`1990-01-01`

**address** `object` *required* (default: \{"street\_1":"123 Sample Street","street\_2":"Unit 4","city":"Sample City","region":"Sample State","postal\_code":"10001","country":"US"})

结构化的居住地址对象。使用 `street_1`、`street_2`、`city`、`region`、`postal_code` 和 `country`。仍接受完整的旧版地址字符串，但不推荐使用。

示例：`{"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}`

**vendor\_data** `string` (default: user-1234)

您为该用户设定的稳定用户标识，例如您内部的用户 ID。Didit 使用它将独立检查关联到同一终端用户，并减少重复检测的干扰。

示例：`user-1234`

## 输入规则与校验说明

* 对于地址类服务，请尽可能发送结构化地址字段，而不是单个 `address` 字符串。
* `address.street_1` 为街道地址，包括门牌号和街道类型。
* `address.street_2` 为公寓、单元、楼栋、楼层或其他地址补充行。仅在您有该信息时发送。
* `address.city` 为城市、郊区、区、地区或街区。
* `address.region` 为州、省、地区或镇。
* `address.postal_code` 为邮政编码。
* 基于地址的数据库服务至少需要街道地址和邮政编码；在查询数据源之前即被拒绝的请求不收费。

## 调用方法

```bash cURL theme={null}
curl -X POST "https://verification.didit.me/v3/database-validation/" \
  -H "x-api-key: YOUR_API_KEY" \
  -F "issuing_state=AUS" \
  -F "services=aus_electoral_roll" \
  -F "vendor_data=user-1234" \
  -F "consent=true" \
  -F "first_name=John" \
  -F "last_name=Doe" \
  -F "date_of_birth=1990-01-01" \
  -F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}'
```

```python Python theme={null}
from didit import Didit

# Reads DIDIT_API_KEY.
client = Didit()

result = client.database_validation.validate(
    issuing_state="AUS",
    services=["aus_electoral_roll"],
    consent=True,
    first_name="John",
    last_name="Doe",
    date_of_birth="1990-01-01",
    address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
    vendor_data="user-1234",
)
print(result)
```

```javascript Node.js theme={null}
import Didit from "@didit-protocol/sdk-node";

// Reads DIDIT_API_KEY.
const didit = new Didit();

const result = await didit.databaseValidation.validate({
  issuing_state: "AUS",
  services: ["aus_electoral_roll"],
  consent: true,
  first_name: "John",
  last_name: "Doe",
  date_of_birth: "1990-01-01",
  address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
  vendor_data: "user-1234",
});
console.log(result);
```

```go Go theme={null}
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()

result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
	IssuingState: "AUS",
	Services:     didit.Some([]string{"aus_electoral_roll"}),
	Consent:      didit.Bool(true),
	FirstName:    didit.String("John"),
	LastName:     didit.String("Doe"),
	DateOfBirth:  didit.String("1990-01-01"),
	Address:      didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
	VendorData:   didit.String("user-1234"),
})
if err != nil {
	log.Fatal(err)
}
fmt.Printf("%+v\n", result)
```

```java Java theme={null}
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;

// Reads DIDIT_API_KEY.
Didit client = new Didit();

var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
        .issuingState("AUS")
        .services(List.of("aus_electoral_roll"))
        .consent(true)
        .firstName("John")
        .lastName("Doe")
        .dateOfBirth(LocalDate.parse("1990-01-01"))
        .address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
                .street1("123 Sample Street")
                .street2("Unit 4")
                .city("Sample City")
                .region("Sample State")
                .postalCode("10001")
                .country("US")
                .build()))
        .vendorData("user-1234")
        .build());
System.out.println(result);
```

```php PHP theme={null}
<?php

require 'vendor/autoload.php';

use Didit\DiditClient;

// Reads DIDIT_API_KEY.
$didit = new DiditClient();

$result = $didit->databaseValidation->validate([
    'issuing_state' => 'AUS',
    'services' => ['aus_electoral_roll'],
    'consent' => true,
    'first_name' => 'John',
    'last_name' => 'Doe',
    'date_of_birth' => '1990-01-01',
    'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
    'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
```

```ruby Ruby theme={null}
require "didit"

# Reads DIDIT_API_KEY.
didit = Didit::Client.new

result = didit.database_validation.validate(
  issuing_state: "AUS",
  services: ["aus_electoral_roll"],
  consent: true,
  first_name: "John",
  last_name: "Doe",
  date_of_birth: "1990-01-01",
  address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
  vendor_data: "user-1234"
)
puts result.to_h
```

```csharp .NET theme={null}
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;

// Reads DIDIT_API_KEY.
using var client = new DiditClient();

var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
    IssuingState = "AUS",
    Services = new string[] { "aus_electoral_roll" },
    Consent = true,
    FirstName = "John",
    LastName = "Doe",
    DateOfBirth = "1990-01-01",
    Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
    VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
```

每次成功调用都会返回 HTTP `200`。**`outcome_code`** 字段说明实际发生的结果，例如，可以区分真实的生物识别不匹配（`BIOMETRIC_NO_MATCH`）与无法识别的自拍照（`BIOMETRIC_IMAGE_UNUSABLE`）。所示的 `status` 为默认功能状态；您配置的[部分匹配 / 不匹配操作](https://docs.didit.me/zh/core-technology/database-validation/database-validation-warnings.md)可覆盖该状态。

**`MATCH`** — 登记机构已确认身份，且所有被检查的字段均匹配。

```json 200 OK — MATCH theme={null}
{
  "request_id": "req_01H…",
  "status": "Approved",
  "issuing_state": "AUS",
  "match_type": "full_match",
  "validations": [
    {
      "outcome_code": "MATCH",
      "service_id": "aus_electoral_roll",
      "service_name": "Australia Electoral Roll",
      "source_data": {
        "address": "123 Sample Street",
        "address_match_score": "1.000",
        "city": "Sample City",
        "date_of_birth": "1990-01-01",
        "first_name": "John",
        "full_name": "John Doe",
        "last_name": "Doe",
        "name_match_score": "1.000",
        "postal_code": "10001",
        "state": "Sample State",
        "street": "sample_value"
      },
      "validation": {
        "address": "full_match",
        "date_of_birth": "full_match",
        "full_name": "full_match"
      }
    }
  ]
}
```

**`PARTIAL_MATCH`** — 本服务比对的一个或多个字段未完全匹配。在此示例中，`full_name` 不匹配，而 `address` 和 `date_of_birth` 匹配。

```json 200 OK — PARTIAL_MATCH theme={null}
{
  "request_id": "req_01H…",
  "status": "In Review",
  "issuing_state": "AUS",
  "match_type": "partial_match",
  "validations": [
    {
      "outcome_code": "PARTIAL_MATCH",
      "service_id": "aus_electoral_roll",
      "service_name": "Australia Electoral Roll",
      "source_data": {
        "address": "123 Sample Street",
        "address_match_score": "1.000",
        "city": "Sample City",
        "date_of_birth": "1990-01-01",
        "first_name": "John",
        "full_name": "John Doe",
        "last_name": "Doe",
        "name_match_score": "1.000",
        "postal_code": "10001",
        "state": "Sample State",
        "street": "sample_value"
      },
      "validation": {
        "address": "full_match",
        "date_of_birth": "full_match",
        "full_name": "no_match"
      }
    }
  ]
}
```

**`NO_MATCH`** — 登记机构未返回与所提交数据匹配的结果。

```json 200 OK — NO_MATCH theme={null}
{
  "request_id": "req_01H…",
  "status": "Declined",
  "issuing_state": "AUS",
  "match_type": "no_match",
  "validations": [
    {
      "outcome_code": "NO_MATCH",
      "service_id": "aus_electoral_roll",
      "service_name": "Australia Electoral Roll",
      "source_data": {
        "address": "NO_MATCH",
        "date_of_birth": "NO_MATCH",
        "full_name": "NO_MATCH"
      },
      "validation": {
        "address": "no_match",
        "date_of_birth": "no_match",
        "full_name": "no_match"
      }
    }
  ]
}
```

## 返回数据

`source_data` 中返回的具体字段取决于登记机构返回的内容。目前为 `aus_electoral_roll` 生成的示例记录了以下标准化结构：

* `address`
* `address_match_score`
* `city`
* `date_of_birth`
* `first_name`
* `full_name`
* `last_name`
* `name_match_score`
* `postal_code`
* `state`
* `street`

## 定价与 SLA

只有当 Didit 从验证来源获得明确结果时，澳大利亚选民名册查询才会计费。

* **单次调用价格：**\$0.75 USD。
* **计费方式：**按每次成功的查询计费。当登记机构无法访问、必填字段缺失或请求在到达来源前被拒绝时，不收取费用。
* **延迟：**典型 p95 \< 2 秒。
* **可用性：**Didit 侧每季度 99.9%；下游来源的可用性因国家和数据集而异。

## 延伸阅读

* [澳大利亚数据库核验概览](https://docs.didit.me/api-reference/database-validation/australia.md)
* [数据库核验概览](https://docs.didit.me/zh/core-technology/database-validation/overview.md)
* [结果代码](https://docs.didit.me/zh/core-technology/database-validation/database-validation-outcome-codes.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.